Subject: Re: bug#37697: Recently-added checkdoc tests fail if stdin is empty

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 11 Oct 2019 07:47:45 +0200

Paul Eggert <[email-masked]> writes:

> The recently-added checkdoc CL tests read from stdin, which doesn't
> work when automated tests are run. Here is how I reproduced the bug on
> Fedora 30:

[...]

> Ran 10 tests, 8 results as expected, 2 unexpected (2019-10-10
> 13:23:34-0700, 0.233146 sec)
>
> 2 unexpected results:
>    FAILED  checkdoc-cl-defmethod-with-context-ok
>    FAILED  checkdoc-cl-defun-with-aux-ok

I thought I had removed those before checking in, but nope.  I've now
removed them.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no